Package org.eclipse.emf.cdo.lm.impl

# Class DeliveryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.impl.FixedBaselineImpl
org.eclipse.emf.cdo.lm.impl.DeliveryImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `Delivery`, `FixedBaseline`, `ModuleElement`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class DeliveryImpl extends FixedBaselineImpl implements Delivery
An implementation of the model object 'Delivery'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Change`
  - `Merge Source`
  - `Merge Target`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final CDOBranchPointRef`
`MERGE_SOURCE_EDEFAULT`
The default value of the '`Merge Source`' attribute.
`protected static final CDOBranchPointRef`
`MERGE_TARGET_EDEFAULT`
The default value of the '`Merge Target`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.FixedBaselineImpl

`VERSION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DeliveryImpl()`

## Method Summary

Modifier and Type
Method
Description
`Change`
`basicGetChange()`
`NotificationChain`
`basicSetChange(Change newChange, NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`CDOBranchPointRef`
`getBranchPoint()`
`Change`
`getChange()`
`CDOBranchPointRef`
`getMergeSource()`
`CDOBranchPointRef`
`getMergeTarget()`
`String`
`getName()`
`void`
`setChange(Change newChange)`
`void`
`setMergeSource(CDOBranchPointRef newMergeSource)`
`void`
`setMergeTarget(CDOBranchPointRef newMergeTarget)`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.FixedBaselineImpl

`eInvoke, getBasedChanges, getBaseTimeStamp, getDependencies, getVersion, isFloating, setVersion`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, eBasicRemoveFromContainerFeature, getModule, getStream, getSystem, getTypeAndName, getTypeName, name, setStream, time`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FixedBaseline

`getBasedChanges, getDependencies, getVersion, setVersion`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### MERGE_SOURCE_EDEFAULT

protected static final CDOBranchPointRef MERGE_SOURCE_EDEFAULT
The default value of the '`Merge Source`' attribute.

See Also:
  - `getMergeSource()`
Generated
Ordered

### MERGE_TARGET_EDEFAULT

protected static final CDOBranchPointRef MERGE_TARGET_EDEFAULT
The default value of the '`Merge Target`' attribute.

See Also:
  - `getMergeTarget()`
Generated
Ordered

## Constructor Details

### DeliveryImpl

protected DeliveryImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `FixedBaselineImpl`
Generated

### getChange

public Change getChange()

Specified by:
  `getChange` in interface `Delivery`
Returns:
  the value of the 'Change' reference.
See Also:
  - `Delivery.setChange(Change)`
  - `LMPackage.getDelivery_Change()`
  - `Change.getDeliveries()`
Generated

### basicGetChange

public Change basicGetChange()

Generated

### basicSetChange

public NotificationChain basicSetChange(Change newChange, NotificationChain msgs)

Generated

### setChange

public void setChange(Change newChange)

Specified by:
  `setChange` in interface `Delivery`
Parameters:
  `newChange` - the new value of the 'Change' reference.
See Also:
  - `Delivery.getChange()`
Generated

### getMergeSource

public CDOBranchPointRef getMergeSource()

Specified by:
  `getMergeSource` in interface `Delivery`
Returns:
  the value of the 'Merge Source' attribute.
See Also:
  - `Delivery.setMergeSource(CDOBranchPointRef)`
  - `LMPackage.getDelivery_MergeSource()`
Generated

### setMergeSource

public void setMergeSource(CDOBranchPointRef newMergeSource)

Specified by:
  `setMergeSource` in interface `Delivery`
Parameters:
  `newMergeSource` - the new value of the 'Merge Source' attribute.
See Also:
  - `Delivery.getMergeSource()`
Generated

### getMergeTarget

public CDOBranchPointRef getMergeTarget()

Specified by:
  `getMergeTarget` in interface `Delivery`
Returns:
  the value of the 'Merge Target' attribute.
See Also:
  - `Delivery.setMergeTarget(CDOBranchPointRef)`
  - `LMPackage.getDelivery_MergeTarget()`
Generated

### setMergeTarget

public void setMergeTarget(CDOBranchPointRef newMergeTarget)

Specified by:
  `setMergeTarget` in interface `Delivery`
Parameters:
  `newMergeTarget` - the new value of the 'Merge Target' attribute.
See Also:
  - `Delivery.getMergeTarget()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BaselineImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `FixedBaselineImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `FixedBaselineImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `FixedBaselineImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `FixedBaselineImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `FixedBaselineImpl`
Generated

### getBranchPoint

public CDOBranchPointRef getBranchPoint()
Description copied from class: `BaselineImpl`

Specified by:
  `getBranchPoint` in interface `Baseline`
Specified by:
  `getBranchPoint` in class `FixedBaselineImpl`

### getName

public String getName()
Description copied from class: `BaselineImpl`

Specified by:
  `getName` in interface `Baseline`
Specified by:
  `getName` in class `FixedBaselineImpl`